#
# spec file for package perl-Error (Version 0.17015 )
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Error
Summary:        Object oriented style error/exception handling
Version:        0.17015 
Release:        1.4
Requires:       perl = %{perl_version}
BuildRequires:  perl-Test-Pod-Coverage
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://www.cpan.org/modules/by-module/Error/
Source:         Error-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package two interfaces. Firstly Error provides a procedural
interface to exception handling. Secondly Error is a base class for
errors/exceptions that can either be thrown (for subsequent catch) or
simply be recorded.



Authors:
--------
    Graham Barr <gbarr@pobox.com>

%prep
%setup -q -n Error-%{version}

%build
perl Makefile.PL 
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc ChangeLog examples MANIFEST README 
%{_mandir}/man?/*
%{perl_vendorlib}/Error.pm
%dir %{perl_vendorlib}/Error
%{perl_vendorlib}/Error/Simple.pm
%{perl_vendorarch}/auto/Error
/var/adm/perl-modules/*

%changelog
* Wed Sep 10 2008 anicka@suse.cz
- update to 0.17015
  * Added the "SEE ALSO" section to the Error.pm POD mentioning
    Exception::Class and Error::Exception.
  * Made Makefile.PL require perl-5.6.0 and above.
* Thu Jul 24 2008 anicka@suse.cz
- package created (version 0.17012)
